Subject: Linux-Misc Digest #749
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Tue, 13 Sep 94 00:13:11 EDT

Linux-Misc Digest #749, Volume #2                Tue, 13 Sep 94 00:13:11 EDT

Contents:
  Re: DTC SCSI driver for Linux? (Todd)
  Re: DOOM linux with TERM (Lasse Stenholm)
  Re: DOOM and Linux (Daniel L Moore)
  Re: 320x200 X resolution? (Erik Blass)
  Re: DOOM, X, Linux, 320x200 video mode ?? (Highlander)
  Re: Ultrastore 34F vs Adaptec 1542CF (Robert Ashcroft)
  Slow curses - is there a better/faster curses? (James Deibele)
  Re: DTC SCSI driver for Linux? ([email-masked])
  Re: Linux is a GNU system and the DWARF support (Stephen Harris)
  Smallest Linux Distribution (David Petrou)
  Re: Linux, 40,000 Cover CD's (randy hyde)
  Re: Where to find athena widgets? (Herb Groeger)
  Re: Linux DOOM is very impressive! (Corey Brenner)
  Re: DOOM, X, Linux, 320x200 video mode ?? (Tim Smith)
  Re: DOOM, X, Linux, 320x200 video mode ?? (Tim Smith)
  Re: Doom for Linux - status window (Kevin Lentin)
  Re: Linux Doom comments. (Miguel de Icaza)
  Re: DOOM linux with TERM support. (Mr AJ Bradley)
  Re: How to find out available memory? (Ivica Rogina)
  finger - in.fingerd - slackware 2.0 (Benjamin Alman)

----------------------------------------------------------------------------

From: [email-masked] (Todd)
Subject: Re: DTC SCSI driver for Linux?
Date: 12 Sep 1994 19:18:47 -0400

In <[email-masked]> [email-masked] writes:

>Todd Lindner ([email-masked]) wrote:
>: Is there a DTC SCSI driver out there for Linux?  because I have a DTC scsi 
>: controller and I can't make my SCSI drive work with Linux.  Please help!

>DTC make a slew of controllers; you need to give a model#/name/type/etc.

well, how about a DTC3280AS ISA SCSI Host Adapter?

>the one sitting in a machine next to me works fine with Linux.
> (although, i will admit that it's using "aha1452-emulation" to do it...)

well, how do I know if it has aha1452-emulation?

peace
-- 
[email-masked]*he's.dead.jim.....kick.him.if.you.don't.believe.me*
*"if.it.wasn't.for.stupid.people.there.wouldn't.be.any.smart.people"-Me*
*"there.is.to.be.another.god....named.trent.reznor"-Deuteronomy.5:21.1/2*
*trent.fer.prez'96*howard.stern.governor.ny.state*birth.puberty.nin.death*

------------------------------

Crossposted-To: alt.games.doom,comp.os.linux.help
From: [email-masked] (Lasse Stenholm)
Subject: Re: DOOM linux with TERM
Date: Mon, 12 Sep 1994 21:48:44 GMT

[email-masked] (Damian Frank) writes:

>Because for something to work with term, it has to be recompiled.  Now,
>since Dave Taylor didn't release the source (who can blame him?) *we* can't
>do this, and I kinda doubt that he'll go through the effort merely for term. 

But Term support port redirection - isnt that enough?

//lasse

--
+-------------------+
| Lasse Stenholm    |
| Sodersjukhuset    |
| Stockholm, Sweden |

------------------------------

From: [email-masked] (Daniel L Moore   )
Crossposted-To: alt.games.doom
Subject: Re: DOOM and Linux
Date: 12 Sep 1994 18:19:04 GMT

[email-masked] (Corey Brenner) writes:

>please post your Xconfig for that resolution!  :)

I don't have an Xconfig for 320x200 but one for 480x360 (my video card
doesn't have a low enough dotclock for 320x200)

Here's mine for a CrystalScan 1572FS

 "480x360"     25      480  496  504  664    360  360  368  377

-- 
*******************************************************************************
* Daniel L. Moore                                           [email-masked] *
* University of Illinois at Urbana-Champaign    --     College of Engineering *
*******************************************************************************

------------------------------

Crossposted-To: comp.os.linux.development
From: [email-masked] (Erik Blass )
Subject: Re: 320x200 X resolution?
Date: Sun, 11 Sep 1994 21:44:28 GMT

Hi !

Orest Zborowski ([email-masked]) wrote:

: For running DOOM, I use the XF86_SVGA server and chipset "generic"
: with a stock VGA 320x200 modes line:
: "320x200"       25      320 344 376 400         200 204 206 225

: You can simply run the server, without any clients, and start linuxxdoom
: on a VT. Looks very nice!
So, you are all lucky, You can run DOOM, my linuxxdoom exits with a:
 
            "Error: W_GetNumForName: STBAR not found!"

Erik

-- 
Erik Blass|Internet [email-masked]
Theegartener Str. 38 | 42651 Solingen | Tel.: 0212-201660 
Ich habe Dinge gesehen, die ihr Menschen niemals glauben wuerdet. Gigantische
Schiffe die brannten an der Schulter des Orion. Und C-Beams - glitzernd in der
Dunkelheit nahe dem Tannhaeuser Tor. All diese Momente werden verloren sein in
der Zeit...so wie Traenen im Regen.       Zeit zu sterben...       [Roy Batty]

------------------------------

From: [email-masked] (Highlander)
Crossposted-To: alt.games.doom
Subject: Re: DOOM, X, Linux, 320x200 video mode ??
Date: 12 Sep 1994 18:24:01 GMT

In article <[email-masked]>,
Miguel de Icaza <[email-masked]> wrote:
>> >How can I run doom w/o a window manager though.. I haven't been able to yet.
>> 
>> Ditto that question.
>> 
>> WHen I have xinit simply start doom, the colormap of the doom window
>> never becomes active -- I get a black, and a white, and that's it.
>
>I would recomend using the twm, since fvwm grabs the Alt-arrow
>combinations, so you can't use the straffe feature.

Actually, this is configurable.  Look for lines like:

Key Left        R       N       CursorMove -1 0
Key Right       R       N       CursorMove +1 +0
Key Up          R       N       CursorMove +0 -1
Key Down        R       N       CursorMove +0 +1
Key Left        A       S       CursorMove -5 0
Key Right       A       S       CursorMove +5 +0
Key Up          A       S       CursorMove +0 -5
Key Down        A       S       CursorMove +0 +5

These are where fvwm makes key bindings.  The first column is the key to bind,
the second is the "context" (which window the pointer is in:  R is
root/background, A is any), the third is modifiers (S is shift, C ctrl,
M meta/alt, A any, N none), and the fourth is the action to bind to the key.
Basically, you'll want to modify things so that Key Right/Left/Up/Down
is only bound to window manager actions in the root window.  I'll leave
it to others' taste, ingenuity, and/or ability to read the fvwm man pages
to figure out elegant ways to rebind the keys to make fvwm Doom-friendly.

        --Troy
+--------------------+------------------------------------------------+
|   Troy A. Baer     | "My soul is painted like wings of butterflies, |
| Senior, Aero. Engr.|  Fairy tales of yesterday, grow but never die, |
| DOS?!? Try Linux!! |  I can fly, my friends!"  --Brian May          |
+--------------------+------------------------------------------------+

------------------------------

From: [email-masked] (Robert Ashcroft)
Crossposted-To: comp.os.linux.help
Subject: Re: Ultrastore 34F vs Adaptec 1542CF
Date: 12 Sep 1994 21:11:51 GMT

In article <[email-masked]>,
Dragon Fly <[email-masked]> wrote:
>Hmm.. I don't get it. I'm running Linux with U34F for a year already
>without making any backups (stupid I know), except boot diskettes.
>
>U34F is pretty expensive though.. 

Nope.  CSC quotes them at $89.

Seriously.  Call 1-408-734-3475...

RNA
(not affiliated)

------------------------------

From: [email-masked] (James Deibele)
Crossposted-To: comp.os.linux.development,comp.os.linux.help,comp.os.linux.admin
Subject: Slow curses - is there a better/faster curses?
Date: 12 Sep 1994 00:51:27 -0700

48 hours ago I installed Slackware 2.0 and it was just about the easiest 
install I've ever done in 10 years of mucking around with computers.
Color me impressed.

We are using Linux on a box for people to do remote development - we
want to compile and run apps on the Linux box.  Exciting things like
accounting and other business tasks.

elvis is a pretty faithful implementation of vi although it's noticeably
slower in screen I/O than vi on a SPARC.  And that's when I'm only the
user on the linux box and there's nothing else happening on it.  And
with relatively small - 400-line - programs.

Console output under Linux was very quick and I'm sure X performance is
pretty good.  But curses performance is a little sluggish and adding
lines near the bottom of the screen is a real killer - curses seems to
clear the screen with blank lines <then> adds the new text.

I know that curses and terminals are going the way of the dinosaur but
like the dinosaur they're going to take a long time to die.  We were
looking at what it would cost to outfit our very small office with a
PC/Mac/Unix solution that ran under Windows, MacOS, and UNIX and decided
we could live with a curses interface.

But it would be nice if it were a little quicker.  Is there a
replacement curses out there somewhere?  I checked the FAQs, How-Tos,
and Meta-FAQ and didn't see a word about curses.

Thanks!

-- 
[email-masked]                 "Slowly cursing he deleted the word"
Full internet (ftp, telnet, irc, ppp) available.   Voice: (503) 223-4245
Portland: (503) 220-1016 2400, N81.  Login as "new" to setup an account.
Vancouver: (206) 260-0330   Salem: (503) 364-2028    FAX: (503) 223-4372

------------------------------

From: [email-masked]
Subject: Re: DTC SCSI driver for Linux?
Date: Mon, 12 Sep 1994 08:04:49 GMT

Todd Lindner ([email-masked]) wrote:
: Is there a DTC SCSI driver out there for Linux?  because I have a DTC scsi 
: controller and I can't make my SCSI drive work with Linux.  Please help!

DTC make a slew of controllers; you need to give a model#/name/type/etc.

the one sitting in a machine next to me works fine with Linux.
 (although, i will admit that it's using "aha1452-emulation" to do it...)

------------------------------

From: [email-masked] (Stephen Harris)
Subject: Re: Linux is a GNU system and the DWARF support
Date: Mon, 12 Sep 1994 21:05:29 GMT

Matt Welsh ([email-masked]) wrote:
: This is absolutely wrong. This viewpoint has nothing to do with
: the fact that Linux is covered by the GPL. If you had bothered
: to read my message, you would have known that. It has to do
: with the fact that Linux systems use GNU software for nearly
: all basic utilities, including the libraries.

Here is where one problem in this thread is happening:
LINUX can refer to
  1.  The Linux kernel.
      This is GPL'd but is _not_ GNU, and FSF have no claim on it (and nor do
      I believe they are trying to do so).
  2.  A Linux distribution.
      Generally these are based on GNU tools, but there is _no_ requirement
      that this has to be so (excepting gcc I guess).  The majority of
      programs could be replaced with BSD ones.  Even the libs could be
      replaced with BSD libc if you wanted to go to that effort.

Now, there is nothing to stop the FSF providing a Linux distribution of their
own, and calling it GNU-Linux.  Maybe Debian would even let their stuff be
called Debian GNU-Linux, and the FSF could distribute that.  Those tools with
sources based on non-GPL code might cause them some headaches unless they are
willing to distribute non-GPL source as well :-)

The one thing that FSF should be aware of is the conflicting usage of the
term 'Linux' and be guided accordingly.
-- 

rgds
Stephen

------------------------------

From: [email-masked] (David Petrou)
Subject: Smallest Linux Distribution
Date: 12 Sep 1994 09:17:19 GMT

[ Article crossposted from comp.os.linux.admin ]
[ Author was David Petrou ]
[ Posted on 12 Sep 1994 09:09:07 GMT ]

     Hi.  I'm looking for the smallest linux distribution available to
install on my computer.  I'm looking for the Bare Essentials only.  What I'm
trying to do is get the kernel, /bin, cc and a few other essential tools
on a file system so I can play around and install all major unix programs
(like Xfree, GCC, Emacs, etc...) on my own to get a lot of experience with
unix.  (Besides, it seems like a lot of fun and a good way to learn.)

     Does such a distribution exist?  If not, how would I go about doing the
above?  It seems that I would need some time of boot disk to put a filesystem
on my HD and to copy over a kernel and stuff like /bin.  I'm pretty clueless
on where I would ftp, say /bin or linux cc (or is there only a linux gcc?) so
I'd appreciate any pointers.

Thanks,
David Petrou
[email-masked]

------------------------------

From: [email-masked] (randy hyde)
Subject: Re: Linux, 40,000 Cover CD's
Date: 13 Sep 1994 01:18:28 GMT

>>>>
Ahh!  Now for the real question:  Does this CD include all the
relevant GPL'd source? and if not, what provisions is PC-PLUS
making to distribute the source "on the same media"?  I could
easily see FSF making a stink if the source were not available
for the asking on CD-ROM at "cost" - which is pretty low for a
CD-ROM in quantity.
<<<<<

Since when did FSF start demanding that distributors give this
stuff away at cost?  I was under the impression that they could
sell it for anything they wanted.  The distributor, however, could
not control what the purchaser does with it.
Heck, if they don't provide the sources and someone asks, they can
always sell that person one of the other CD-ROM distributions containing
everything for $250. :-)

------------------------------

From: [email-masked] (Herb Groeger)
Subject: Re: Where to find athena widgets?
Reply-To: [email-masked]
Date: Thu, 8 Sep 1994 12:32:29 GMT

In article <[email-masked]>, [email-masked] (Jochen Diehl) writes:
|> Hello *,
|> as you can see from the subject line, my problem is where to find the athena
|> widget set. 
|> 
|> Thanks for any help
|> Jochen

And is it true that there is a 3D athena widget set?  If so, where?

Herb.

------------------------------

From: [email-masked] (Corey Brenner)
Subject: Re: Linux DOOM is very impressive!
Date: Tue, 13 Sep 1994 00:23:40 GMT

Jim Sun ([email-masked]) wrote:
: [email-masked] (Mark A. Davis)
: >[email-masked] (Rene Baart) writes:
: >>I just ran DOOM on my 386/40 with a cheap (ISA) Cirrus VGA card.
: >>I expected horrible performance, but it's only
: >>a little bit jumpy, like a DOS game over a slow modem line.
: >>DOOM runs just as it would under DOS, only now in an
: >>X-window. Due to the small window size, the image is even somewhat
: >>sharper now. 

: >>All in all, this is something no Linux/X user should be without.
: >>Even without high-end equipment, you really should see this!

: >I beg to differ- it flies under MS-"DOS" here on a 486 33 DX with an ISA
: >16 bit Orchid Prodesiger II ET4000, 16MB RAM.  Under Linux it crawls at
: >about 1 frame every two seconds.  I don't think the requirement for
: >faster video cards is a joke.

: I hope Rene (the first poster) meant a tongue-in-cheek joke.  I can't imagine
: what 386-40 running linuxxdoom is like.  My current 486-25/75 with 16Mhz ISA 
: (Stealth24) runs the dos version of doom about three times as fast my
: old 386-40 using the same card (on 10MHz ISA).  Running linuxxdoom with the
: 486-75, I can get smooth motion only at third smallest (yeah, now we are counting
: from innermost out, instead of from full-screen and inward) screen setting;
: even that's not what I'd call snappy either.  Though I have setup 320x240
: Xserver resolution, I probably won't spend much time there.  I can only
: hope that things will be slightly better when I get the 864-based vlb card
: to work with Xf86.  But I think the long term solution probably lies with some
: kind of graphics accelearation (filled polygon and etc, too bad X doesn't
: specify shaded polygon); dumping pixmaps on Xserver probably 
: is not the way for X-based games.

: I'm not ranting against the port;  it was an admirable effort.  Maybe I'm just
: spoiled by doom on Indigo.

: Jim

Actually, I have personally seen LinuXDOOM! on a 386/40 w/8MB and ATI 
VGA Wonder w/1MB DRAM (An OLD card, to be sure!).  The machine had very
little problems with running even in a 1024x768 video mode.  the sound, 
though flaky (I suspect the buffer cache in the kernel for GUS sound is 
set too low) was in stereo and made the game BITCHIN'!!!

Really, folks, this game kicks ASS!

Corey Brenner

------------------------------

From: [email-masked] (Tim Smith)
Crossposted-To: alt.games.doom
Subject: Re: DOOM, X, Linux, 320x200 video mode ??
Date: 12 Sep 1994 19:52:37 GMT

Richard Ward <[email-masked]> wrote:
>>Get shorter speaker cables.
>>
>I really hope that you are kidding.  I'd hate to think that our fine 
>educational system is producing people so stupid as to think that reducing the 
>length of cable between an amplifier and the speakers would have an observable 
>effect.  Think about it:  sound travels through the air about 730 miles per 
>hour at sea-level, electronic signals travel through wire at close to the 
>speed of light (roughly 186,000 miles per _second_).  If you were to make 

I'd hate to think that our fine educational system is (1) producing people
who can't recognize obvious humor, and (b) think that signals travel
through wire at close to the speed of light.

I did leave off something important.  I'm reading htis on alt.games.doom,
and didn't notice that it was about *Linux* DOOM.  For *Linux* DOOM, all
he has to do is raise the group velocity of his wires.  That's controlled
by the file /etc/group.  (By the way, everyone shold upgrade to 1.1.108,
which supports /etc/phase to control the phase velocity.  You'll need this
if you want to play the QUAKE beta for Linux that's currently on all the
usual FTP sites).

--Tim Smith

------------------------------

From: [email-masked] (Tim Smith)
Crossposted-To: alt.games.doom
Subject: Re: DOOM, X, Linux, 320x200 video mode ??
Date: 12 Sep 1994 19:55:31 GMT

David Nagy <[email-masked]> wrote:
>  Jeez, everybody should get a clue...  All this doubletalk about 
>electron drift when it's OBVIOUS that the problem is that his speakers 
>are too far away from his head... The speed of sound, remember?  And you 
>guys are worried about the speed of electrons, sheesh. <g>

Another solution is for him to get a longer video cable.  But then he'll
need shorter arms, unless he can play with his tongue...

--Tim Smith

------------------------------

From: [email-masked] (Kevin Lentin)
Crossposted-To: alt.games.doom
Subject: Re: Doom for Linux - status window
Date: 12 Sep 1994 01:42:46 GMT

songbird ([email-masked]) wrote:
> >Does anyone else have the problem that the status window with the
> >guy's head and health doesn't show up? I just get the whole window
> >filled with the dungeon view and have no idea how much health is left.
> >
> >Thanks, Steve

> Steve: hit ESC, go to Options, select Screen Size and decrease it one notch.

Or press the '-' key. It works under DOS. Not sure about Linux. Can't see
why not.
-- 
[==================================================================]
[ Kevin Lentin                   |___/~\__/~\___/~~~~\__/~\__/~\_| ]
[ [email-masked]  |___/~\/~\_____/~\______/~\/~\__| ]
[ Macintrash: 'Just say NO!'     |___/~\__/~\___/~~~~\____/~~\___| ]
[==================================================================]

------------------------------

From: [email-masked] (Miguel de Icaza)
Subject: Re: Linux Doom comments.
Date: 12 Sep 1994 17:48:39 GMT

> When using the Ctrl-Key (FIRE) at the same time than the arrows, I switch 
> to the other rooms (screens). The only way out of this is to run Olwm instead
> of fvwm or others mwm like.

Try twm, since it seems that olwm is grabbing the shift-keys, so you
don't have full speed.

------------------------------

From: [email-masked] (Mr AJ Bradley)
Crossposted-To: alt.games.doom,comp.os.linux.help
Subject: Re: DOOM linux with TERM support.
Date: 12 Sep 1994 02:59:43 GMT

Mike Batchelor ([email-masked]) wrote:
>In <[email-masked]> [email-masked] (Christophe Person) writes:

>> Like you all know, DOOM linux is out.

>> But what about a DOOM linux version that run with TERM ? It would be less
>>painfull that blocking your computer using the modem version. I don't know 
>>if it wouldn't be simpler to have a IHHD server supporting term instead.

>>Opened discussion....
>I hear that linuxxdoom uses udp sockets, so term is a no-op.
>What is IHHD?

Term > 2.0 now supports udp redirection, so compile a version and well 
see :)

Adam Bradley- 3nd Year Comp Sci       |
 Monash University- Clayton Campus    | "The  time I spend all by myself,
  Melbourne Victoria, 3162.           |     is often spent with you"
   email- [email-masked]|        (John  Denver)
    Linux - XFree86 - Term            |

------------------------------

From: [email-masked] (Ivica Rogina)
Subject: Re: How to find out available memory?
Date: 12 Sep 1994 17:53:20 GMT
Reply-To: [email-masked] (Ivica Rogina)

Alex Ramos ([email-masked]) wrote:
> Ivica Rogina ([email-masked]), quoted out of context, wrote:
> > How can I find out how much physical memory is left for some process to use.
> > ...
>
> I suggest using the shell builtin "limit" or "ulimit" to tell the process
> how much memory you want it to use. Of course said process would have
> to handle failure of malloc() in a sensible manner.

But if I use 'limit' to limit the data size this limit is valid for all running
processes. malloc() will not return NULL if another process has used up all the
available memory as long as the malloc()-calling process's memory usage is below
the allowed limit. I think this is a serious problem, because you have to limit
a users freedom dramatically or any user can bring the system to a near halt by
allocating 3 gigs of memory.

Ivica                                                   [email-masked]

------------------------------

From: [email-masked] (Benjamin Alman)
Crossposted-To: comp.os.linux.help,wpi.system.linux
Subject: finger - in.fingerd - slackware 2.0
Date: 13 Sep 1994 02:54:09 GMT
Reply-To: [email-masked]

When anyone fingers my system or someone on my system from a remote host, 
it runs the program /usr/sbin/in.fingerd, and prints out:

[strangiato.res.WPI.EDU]

Welcome to Linux version 1.1.49 at strangiato.Res.WPI.EDU !

 10:49pm  up 11:26,  3 users,  load average: 0.29, 0.15, 0.28

... (finger info.. etc..)

but - is there any way i can get it to print anything other than the
'welcome to linux 1.1.49' line? please email me with a response if you 
can help! thanks!

--
=============================================================================
From: Ben Alman, Internet: [email-masked], My PC: [email-masked]
Linux 1.1.49 + XFree386-2.1.1, Slackware 2.0 on an i486 DX/2-66 with 20mb RAM 
It's just the age, It's just a stage, We disengage, We turn the page... -Rush

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************